## klogwatch-2.0.3.tar.gz

=== Makefile ===
#
# Klogwatch, Netfilter log monitor
#
# Copyright (C) 2004 Nick Battle <nick.battle@freeuk.com>
# Copyright (C) 2006 John Stamp <jstamp@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#

VERSION=klogwatch-2.0.3
SRCDIR=$(VERSION)/klogwatch
ARCHIVE=$(VERSION).tgz

DISTFILES = \
    $(VERSION)/AUTHORS \
    $(VERSION)/BUGS \
    $(VERSION)/COPYING \
    $(VERSION)/INSTALL \
    $(VERSION)/Makefile \
    $(VERSION)/TODO \
    $(VERSION)/VERSIONS \
    $(VERSION)/aclocal.m4 \
    $(VERSION)/configure \
    $(VERSION)/configure.ac \
    $(SRCDIR)/Makedeps \
    $(SRCDIR)/Makefile.in \
    $(SRCDIR)/Makerules \
    $(SRCDIR)/debug.h \
    $(SRCDIR)/klogICMP.cpp \
    $(SRCDIR)/klogICMP.h \
    $(SRCDIR)/klogIP.cpp \
    $(SRCDIR)/klogIP.h \
    $(SRCDIR)/klogTCP.cpp \
    $(SRCDIR)/klogTCP.h \
    $(SRCDIR)/klogUDP.cpp \
    $(SRCDIR)/klogUDP.h \
    $(SRCDIR)/klogconfig.cpp \
    $(SRCDIR)/klogconfig.h \
    $(SRCDIR)/klogitem.cpp \
    $(SRCDIR)/klogitem.h \
    $(SRCDIR)/klogline.cpp \
    $(SRCDIR)/klogline.h \
    $(SRCDIR)/kloglist.cpp \
    $(SRCDIR)/kloglist.h \
    $(SRCDIR)/klogdialog.cpp \
    $(SRCDIR)/klogdialog.h \
    $(SRCDIR)/klogpid.cpp \
    $(SRCDIR)/klogpid.h \
    $(SRCDIR)/klogsetup.cpp \
    $(SRCDIR)/klogsetup.h \
    $(SRCDIR)/klogtail.cpp \
    $(SRCDIR)/klogtail.h \
    $(SRCDIR)/klogtray.cpp \
    $(SRCDIR)/klogtray.h \
    $(SRCDIR)/klogwatch.1 \
    $(SRCDIR)/klogwatch.txt \
    $(SRCDIR)/klogwatch.desktop \
    $(SRCDIR)/klogwatch.cpp \
    $(SRCDIR)/klogwatch.h \
    $(SRCDIR)/tick16.png \
    $(SRCDIR)/tick22.png \
    $(SRCDIR)/pling22.png \
    $(SRCDIR)/tick32.png \
    $(SRCDIR)/tick48.png \
    $(SRCDIR)/tick64.png \
    $(SRCDIR)/tick128.png \
    $(SRCDIR)/tick.svg \
    $(SRCDIR)/pling.svg \
    $(SRCDIR)/main.cpp \
    $(SRCDIR)/qtlist.ui \
    $(SRCDIR)/qtsetup.ui \
    $(VERSION)/tests/all \
    $(VERSION)/tests/icmp \
    $(VERSION)/tests/ip \
    $(VERSION)/tests/tcp \
    $(VERSION)/tests/udp

all:
	$(MAKE) -C klogwatch

install uninstall deps:
	$(MAKE) -C klogwatch $@

dist:
	cd ..; tar -czf $(VERSION)/$(ARCHIVE) $(DISTFILES)

distclean: clean
	rm -f $(ARCHIVE)
	$(MAKE) -C klogwatch $@

clean:
	rm -rf autom4te.cache config.status config.log
	$(MAKE) -C klogwatch $@

# eof

=== debian/changelog ===
klogwatch (2.0.3-1) unstable; urgency=low

  * New upstream.

 -- John Stamp <jstamp@users.sourceforge.net>  Sun, 17 Dec 2006 09:48:31 -0800

klogwatch (2.0.2-1) unstable; urgency=low

  * New upstream.
  * Add some recommends to debian package.

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 28 Sep 2006 09:52:31 -0700

klogwatch (2.0.1-1) unstable; urgency=low

  * New upstream.

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 13 Sep 2006 15:06:28 -0700

klogwatch (2.0-1) unstable; urgency=low

  * Initial release.

 -- John Stamp <jstamp@users.sourceforge.net>  Tue,  5 Sep 2006 2:20:34 -0700

=== debian/control ===
Source: klogwatch
Section: net
Priority: optional
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends: debhelper (>= 5), autotools-dev, kdelibs-dev
Standards-Version: 3.7.2

Package: klogwatch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ping, traceroute, whois, www-browser
Description: A firewall log monitor for KDE
 KLogWatch is a firewall log monitor for KDE.  It watches
 for entries in a syslog file and reports them.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	QTDIR=/usr ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --prefix=$(CURDIR)/debian/klogwatch/usr


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/klogwatch.sgml > klogwatch.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean; rm -f config.guess config.sub config.status config.log build-stamp
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/klogwatch.
	$(MAKE) install prefix=$(CURDIR)/debian/klogwatch/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs VERSIONS
	dh_installdocs -n
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
